const nodesMax = 3; //3個のノードを作成

var nodes = [];
for(var i = 0;i < nodesMax;i++) {
  var node = $.subNode("model_" + i);
  nodes.push(node);
}

$.onStart(() => {
  $.state.nodeNo = 0;
});

$.onInteract(() => {
  nodes[$.state.nodeNo].setEnabled(false);
  $.state.nodeNo++;
  if($.state.nodeNo >= nodes.length) {
    $.state.nodeNo = 0;
  }
  nodes[$.state.nodeNo].setEnabled(true);
});